import { html } from 'lit-html';
const meta = {
    title: 'Checkbox',
    component: 'zero-checkbox>',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column; justify-content: space-between; height: 200px';
export const Primary = {
    args: {
        customCheckboxText: 'Custom Zero Checkbox',
        customCheckboxDesignUnit: 8,
        customCheckboxCornerRadius: 4,
    },
    render: ({ customCheckboxText, customCheckboxDesignUnit, customCheckboxCornerRadius }) => html `
      <div style="${wrapperStyle}">
        <zero-checkbox>Default Zero Checkbox</zero-checkbox>

        <zero-design-system-provider
          design-unit="${customCheckboxDesignUnit}"
          corner-radius=${customCheckboxCornerRadius}"
        >
          <zero-checkbox>${customCheckboxText}</zero-checkbox>
        </zero-design-system-provider>
      </div>
    `,
};
//# sourceMappingURL=checkbox.stories.js.map