import { html } from 'lit-html';
const meta = {
    title: 'Data Grid',
    component: 'zero-data-grid',
};
export default meta;
const loadData = (rows) => {
    const zeroDataGrid = document.querySelector('zero-data-grid');
    zeroDataGrid.rowsData = rows;
};
const clearData = () => {
    const zeroDataGrid = document.querySelector('zero-data-grid');
    zeroDataGrid.rowsData = [];
};
const rowsData = [
    { make: 'Toyota', model: 'Celica', price: 35000, creationDate: 1617624494293, isCool: true },
    { make: 'Ford', model: 'Mondeo', price: 32000, creationDate: 1617624494295, isCool: false },
    { make: 'Porsche', model: 'Boxter', price: 72000, creationDate: 1619637452397, isCool: false },
    { make: 'Audi', model: 'A6', price: 80000, creationDate: 1617624494293, isCool: true },
    { make: 'Renault', model: 'Clio', price: 20000, creationDate: 1617624494295, isCool: true },
    { make: 'Chevrolet', model: 'Camaro', price: 40000, creationDate: 1619637452397, isCool: false },
    { make: 'BMW', model: 'Z8', price: 90000, creationDate: 1617624494293, isCool: false },
    { make: 'Suzuki', model: 'Jimny', price: 23000, creationDate: 1617624494295, isCool: false },
    { make: 'Toyota', model: 'Celica', price: 35000, creationDate: 1619637452397, isCool: true },
    { make: 'Ford', model: 'Mondeo', price: 32000, creationDate: 1617624494293, isCool: false },
    { make: 'Porsche', model: 'Boxter', price: 72000, creationDate: 1617624494295, isCool: true },
    { make: 'Audi', model: 'A6', price: 80000, creationDate: 1619637452397, isCool: false },
    { make: 'Renault', model: 'Clio', price: 20000, creationDate: 1617624494293, isCool: false },
    { make: 'Chevrolet', model: 'Camaro', price: 40000, creationDate: 1617624494295, isCool: true },
    { make: 'BMW', model: 'Z8', price: 90000, creationDate: 1619637452397, isCool: true },
    { make: 'Suzuki', model: 'Jimny', price: 23000, creationDate: 1617624494293, isCool: true },
];
export const Primary = {
    args: {
        dataGridRowsData: rowsData,
    },
    render: ({ dataGridRowsData }) => html `
      <div>
        <div>
          <zero-button @click="${() => loadData(dataGridRowsData)}">Load Data</zero-button>
          <zero-button @click="${() => clearData()}">Clear Data</zero-button>
        </div>
        <zero-data-grid></zero-data-grid>
      </div>
    `,
};
//# sourceMappingURL=data-grid.stories.js.map