import { defaultDividerConfig, Divider as FoundationDivider, foundationDividerShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroDividerTemplate as template } from './divider.template';
import { zeroDividerStyles as styles } from './divider.styles';
export class Divider extends FoundationDivider {
}
export const zeroDivider = Divider.compose(Object.assign({ baseName: 'divider', template,
    styles, shadowOptions: foundationDividerShadowOptions }, defaultDividerConfig));
//# sourceMappingURL=divider.js.map