import { __decorate } from "tslib";
import { FilterBar as FoundationFilterBar } from '@genesislcap/foundation-ui';
import { attr, observable } from '@microsoft/fast-element';
import { zeroFilterBarStyles as styles } from './filter-bar.styles';
import { zeroFilterBarTemplate as template } from './filter-bar.template';
export class FilterBar extends FoundationFilterBar {
    constructor() {
        super(...arguments);
        this.ready = super.ready;
        this.collapsed = true;
    }
}
__decorate([
    attr
], FilterBar.prototype, "resource", void 0);
__decorate([
    attr
], FilterBar.prototype, "only", void 0);
__decorate([
    attr
], FilterBar.prototype, "labels", void 0);
__decorate([
    attr
], FilterBar.prototype, "target", void 0);
__decorate([
    observable
], FilterBar.prototype, "ready", void 0);
__decorate([
    observable
], FilterBar.prototype, "fields", void 0);
__decorate([
    observable
], FilterBar.prototype, "collapsed", void 0);
export const zeroFilterBar = FilterBar.compose({
    baseName: 'filter-bar',
    template,
    styles,
});
//# sourceMappingURL=filter-bar.js.map