import { html } from 'lit-html';
const meta = {
    title: 'Flipper',
    component: 'zero-flipper',
};
export default meta;
export const Primary = {
    argTypes: {
        direction: {
            control: 'select',
            options: ['previous', 'next'],
        },
    },
    args: {
        direction: 'next',
    },
    render: ({ direction }) => html `
      <zero-flipper direction="${direction}">Zero Flipper</zero-flipper>
    `,
};
//# sourceMappingURL=flipper.stories.js.map