import { html } from 'lit-html';
const meta = {
    title: 'Skeleton',
    component: 'zero-skeleton',
};
export default meta;
export const Primary = {
    render: () => html `
    <div
      style="
      background-color: #fff;
      padding: 20px;
      width: 500px;
      border-radius: 4px;"
    >
      <zero-skeleton style="width: 50px; height: 50px;" shape="circle"></zero-skeleton>
      <zero-skeleton
        style="border-radius: 4px; margin-top: 10px; height: 10px;"
        shape="rect"
      ></zero-skeleton>
      <zero-skeleton
        style="border-radius: 4px; margin-top: 10px; height: 10px;"
        shape="rect"
      ></zero-skeleton>
      <zero-skeleton
        style="border-radius: 4px;width: 75px;height: 30px;margin-top: 20px;margin-bottom: 10px;"
        shape="rect"
      ></zero-skeleton>
    </div>
    <zero-skeleton
      style="border-radius: 4px; margin-top: 10px; height: 20px;"
      shape="rect"
    ></zero-skeleton>
  `,
};
//# sourceMappingURL=skeleton.stories.js.map