import { html } from 'lit-html';
const meta = {
    title: 'Toast',
    component: 'zero-toast',
};
export default meta;
export const Primary = {
    render: () => html `
    <div style="position: absolute; right: 0; top: 0; display: flex; flex-direction: column">
      <zero-toast notify="warning" auto-close="true" close-timeout="5000">
        <h6 slot="top">Toast title</h6>
        <span slot="content">Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet. Lorem, ipsum dolor.</span>
        <span slot="date">Today 14:28</span>
      </zero-toast>
      <zero-toast notify="success">
        <h6 slot="top">Toast title</h6>
        <span slot="date">Today 14:28</span>
      </zero-toast>
      <zero-toast>
        <h6 slot="top">Toast title</h6>
      </zero-toast>
      <zero-toast>
        <h6 slot="top">Toast title</h6>
        <span slot="content">Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet. Lorem, ipsum dolor.</span>
        <span slot="date">Today 14:28</span>
        <zero-button appearance="primary-gradient" slot="bottom">Close notification</zero-button>
      </foundation-toast>
    </div>
  `,
};
//# sourceMappingURL=toast.stories.js.map