import { Filter as FoundationFilter, TextField } from '@genesislcap/foundation-ui';
export declare class Filter extends FoundationFilter {
    textFilterField: TextField;
    numFilterFieldMin: TextField;
    numFilterFieldMax: TextField;
    dateFilterFieldMin: TextField;
    dateFilterFieldMax: TextField;
    fieldName: string;
    label: string;
    type: "number" | "boolean" | "text" | "date" | "enum";
    target: string;
    enumFilterOptions: any[];
}
export declare const zeroFilter: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Filter, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<Filter, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}, typeof Filter>;
//# sourceMappingURL=filter.d.ts.map