import { html } from 'lit-html';
const meta = {
    title: 'Date Picker',
    component: 'zero-date-picker',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: row; justify-content: center; width: 100%; height: 500px;';
export const Primary = {
    args: {
        firstDataPickerValue: '01-01-2021',
        secondDatePickerFormat: 'MMMM/DD/YY',
        thirdDatePickerFormat: 'MMM/ddd/YYYY',
        thirdDatePickerValue: '01-01-2023',
    },
    render: ({ firstDataPickerValue, secondDatePickerFormat, thirdDatePickerFormat, thirdDatePickerValue, }) => html `
      <div style="${wrapperStyle}">
        <div>
          <zero-date-picker value="${firstDataPickerValue}"></zero-date-picker>
          <zero-date-picker format="${secondDatePickerFormat}"></zero-date-picker>
          <zero-date-picker
            format="${thirdDatePickerFormat}"
            value="${thirdDatePickerValue}"
          ></zero-date-picker>
        </div>
      </div>
    `,
};
//# sourceMappingURL=date-picker.stories.js.map