import { foundationDatePickerStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
import { ColorHEX } from '../_common';
export const zeroDatePickerStyles = () => css `
  ${foundationDatePickerStyles}
  .date-toggle {
    background: var(--neutral-layer-card-container);
    color: var(--neutral-foreground-rest);
  }

  .calendar-dropdown {
    background: ${ColorHEX.mediumGrey};
  }

  .week-days,
  .header h3,
  .header .months-arrows .icon-container zero-icon {
    color: var(--neutral-stroke-rest);
  }

  .header .months-arrows .icon-container {
    background-color: var(--neutral-layer-card-container);
  }

  .month-day.current {
    color: ${ColorHEX.almostWhite};
  }
`;
//# sourceMappingURL=date-picker.styles.js.map