import { Multiselect as FoundationMultiselect, defaultMultiselectConfig as foundationMultiselectConfig, foundationMultiselectShadowOptions, } from '@genesislcap/foundation-ui';
import { multiselectTemplate as template } from './multiselect.template';
import { multiselectStyles as styles } from './multiselect.styles';
export class Multiselect extends FoundationMultiselect {
}
export const defaultMultiselectConfig = foundationMultiselectConfig;
export const zeroMultiselectShadowOptions = foundationMultiselectShadowOptions;
export const zeroMultiselect = Multiselect.compose(Object.assign({ baseName: 'multiselect', template,
    styles, shadowOptions: zeroMultiselectShadowOptions }, defaultMultiselectConfig));
//# sourceMappingURL=multiselect.js.map