import { html } from 'lit-html';
const meta = {
    title: 'Progress Ring',
    component: 'zero-progress-ring',
};
export default meta;
export const Multiple = {
    render: () => html `
    <zero-progress-ring></zero-progress-ring>
    <zero-progress-ring value="50"></zero-progress-ring>
    <zero-progress-ring value="100"></zero-progress-ring>
  `,
};
export const Configurable = {
    args: {
        value: '50',
    },
    render: ({ value }) => html `
    <div style="width: 100%;">
      <zero-progress-ring value="${value}"></zero-progress-ring>
    </div>
  `,
};
//# sourceMappingURL=progress-ring.stories.js.map