import { html, ref, repeat } from '@microsoft/fast-element';
export const zeroSnackbarTemplate = html `
  <div class="snackbar ${(x) => x.deleteAnimation}" ${ref('snackbar')}>
    <div part="content" class="content">
      <div>${(x) => { var _a; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || 'Place holder for error message'; }}</div>
    </div>
    <div part="action" class="action">
      ${repeat((x) => { var _a, _b, _c; return (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.snackbar) === null || _c === void 0 ? void 0 : _c.confirmingActions; }, html `
          <zero-button
            slot="action"
            appearance="lightweight"
            @click=${(x, c) => {
    var _a;
    x === null || x === void 0 ? void 0 : x.action();
    (_a = c.parent) === null || _a === void 0 ? void 0 : _a.dismiss();
}}
          >
            ${(x) => x.label}
          </zero-button>
        `)}
    </div>
  </div>
`;
//# sourceMappingURL=snackbar.template.js.map